<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center">
  <div
    [ngClass]="['h-4 leading-none', hidden ? 'truncate h-4' : '']"
    [style.width]="hidden ? (width ?? 64) + 'px' : 'fit-content'"
  >
    {{ id }}
  </div>
  <div class="flex items-center justify-end pl-1 text-primary-500">
    <div class="size-6 flex items-center justify-center cursor-pointer" (click)="toggleVisibility($event)">
      <i [class]="['pi', hidden ? 'pi-eye' : 'pi-eye-slash']" style="font-size: 1rem"></i>
    </div>
    <div
      class="size-6 flex items-center justify-center cursor-pointer"
      appCopyToClipboard
      [textToCopy]="id"
      [copyMessage]="copyMessage"
    >
      <i class="pi pi-copy" style="font-size: 1rem"></i>
    </div>
  </div>
</div>
